package com.fjs.scenic.mapper.news;

import java.util.List;
import java.util.Map;

import com.fjs.scenic.entity.news.News;

public interface NewsMapper {
	public void insert(News record);

	public List<News> select(News record);

	public void update(News record);

	public void delete(News record);

	public List<News> selectByParam(Map<String, String> param);

	public void updateByParam(Map<String, String> params);

	public void deleteByParam(Map<String, String> params);
	
//	public List<News> selectByJoin(Map<String, String> param);
	/**查询新闻前3条*/
	public List<String> getNewsLimt3();
}